Package com.google.android.exoplayer2.ext.mediasession

## Interface TimelineQueueEditor.MediaSourceFactory

- Enclosing class:
    TimelineQueueEditor

      public static interface TimelineQueueEditor.MediaSourceFactory

  Factory to create `MediaSource`s.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `MediaSource` | `createMediaSource​(android.support.v4.media.MediaDescriptionCompat description)` | Creates a `MediaSource` for the given `MediaDescriptionCompat`.

- - ### Method Detail

    - #### createMediaSource

          @Nullable
          MediaSource createMediaSource​(android.support.v4.media.MediaDescriptionCompat description)

      Creates a `MediaSource` for the given `MediaDescriptionCompat`.
      Parameters:
        `description` - The `MediaDescriptionCompat` to create a media source for.
      Returns:
        A `MediaSource` or `null` if no source can be created for the given description.